using Com.Bocom.OpenApi.Utils;

namespace Com.Bocom.OpenApi
{
    public abstract class BocomUploadEncryptRequest<T> : BocomRequest<T> where T : BocomResponse
    {
        public abstract FileItem GetFileItem();

        public abstract string GetEncryptKey();

        public abstract string GetEncryptPolicy();

        public abstract string GetEncryptType();
    }
}